Subject: [Ietf-message-headers] For review: Content-Base (update for http)

From: Frank Ellermann <[email-masked]>
Date: Thu, 1 Sep 2011 22:46:53 +0200

On 30 August 2011 10:36, Mykyta Yevstifeyev wrote:

> The same as with MIME header field:
>> Specification document(s):
>>    RFC 2068, Section 14.11
>>    <http://tools.ietf.org/html/rfc2068#section-14.11>

I've intentionally used the RFCs *obsoleting* Content-Base
instead of the obsolete RFCs *specifying* Content-Base,
because the request modifies existing (and wrt the status
incorrect) registry entries.  The original RFCs can be
found by their references in RFC 2616 and RFC 2557.  The
original RFCs are mentioned in the "related information"
of the templates.

It's apparently possible to have two "specifications" in
registry entries, so I'll just *add* the original RFC as
suggested by you (see below for the http Content-Base).

-Frank
-----------------------------------------------------
PERMANENT MESSAGE HEADER FIELD REGISTRATION TEMPLATE:

Header field name:
   Content-Base

Applicable protocol:
   http

Status:
   obsoleted

Author/Change controller:
   IETF

Specification document(s):
   RFC 2616 section 19.6.3,
   <URL:http://tools.ietf.org/html/rfc2616#section-19.6.3>
   RFC 2068, section 14.11,
   <URL:http://tools.ietf.org/html/rfc2068#section-14.11>

Related information:
   Content-Base was originally specified in RFC 2068 and
   later obsoleted in RFC 2616.  The MIME header field
   Content-Base was also obsoleted (RFC 2557 section 12).

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 08 Sep 2011 17:17:19 +0300

> suggested by you (see below for the http Content-Base).

This is fine.  I think the template is ready to be submitted to IANA.

Mykyta

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 15 Sep 2011 11:18:53 +0200

JFTR: [IANA #488568]